#include "../../../lib/std.mi"

Function Recheck();

Global Checkbox PLCheck, MLCheck, VISCheck, VIDCheck, CONFIGCheck, EQCheck,MENUCheck;

System.onScriptLoaded() { 

	Group ConfigGrp = System.getScriptGroup();

	PLCheck = ConfigGrp.findObject("config.checkbox.pl");
	MLCheck = ConfigGrp.findObject("config.checkbox.ml");
	VISCheck = ConfigGrp.findObject("config.checkbox.vis");
	VIDCheck = ConfigGrp.findObject("config.checkbox.vid");
	CONFIGCheck = ConfigGrp.findObject("config.checkbox.config");
	EQCheck = ConfigGrp.findObject("config.checkbox.eq");
	MENUCheck = ConfigGrp.findObject("config.checkbox.menu");

	Recheck();
}

System.onScriptUnloading() {
}

PLCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorPL", on);
}

MLCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorML", on);
}

VISCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorVIS", on);
}

VIDCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorVID", on);
}

CONFIGCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorCONFIG", on);
}

EQCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorEQ", on);
}

MENUCheck.onToggle(boolean on) {
	system.setPrivateInt(getSkinName(), "doorMENU", on);
}

Recheck() {
	PLCheck.setChecked(system.getPrivateInt(getSkinName(), "doorPL", 0));
	MLCheck.setChecked(system.getPrivateInt(getSkinName(), "doorML", 0));
	VISCheck.setChecked(system.getPrivateInt(getSkinName(), "doorVIS", 0));
	VIDCheck.setChecked(system.getPrivateInt(getSkinName(), "doorVID", 0));
	CONFIGCheck.setChecked(system.getPrivateInt(getSkinName(), "doorCONFIG", 0));
	EQCheck.setChecked(system.getPrivateInt(getSkinName(), "doorEQ", 0));
	MENUCheck.setChecked(system.getPrivateInt(getSkinName(), "doorMENU", 0));
}